!/*@@
!
! $Id: input_params.f90,v 1.17 1997/06/04 20:20:04 mijan Exp haupt $
!
!@@*/


module input_params

integer, parameter :: P_NX = 1 
integer, parameter :: P_NY = 2 
integer, parameter :: P_NZ = 3 
integer, parameter :: P_XMIN = 4 
integer, parameter :: P_XMAX = 5 
integer, parameter :: P_YMIN = 6
integer, parameter :: P_YMAX = 7
integer, parameter :: P_ZMIN = 8
integer, parameter :: P_ZMAX = 9
integer, parameter :: P_AMPL = 10
integer, parameter :: P_WIDTH = 11
integer, parameter :: P_COURANT = 12 
integer, parameter :: P_NSTEPS = 13
integer, parameter :: P_INITEPSILON = 14
integer, parameter :: P_VX = 15
integer, parameter :: P_VY =  16
integer, parameter :: P_VZ =  17 
integer, parameter :: P_NPROCS = 18
integer, parameter :: P_CURRENTTIME = 19
integer, parameter :: P_GRIDSPACING = 20
integer, parameter :: P_TIMESTEP = 21
integer, parameter :: P_LOCAL_LOWER_X = 22 
integer, parameter :: P_LOCAL_LOWER_Y = 23
integer, parameter :: P_LOCAL_LOWER_Z = 24 
integer, parameter :: P_LOCAL_UPPER_X = 25 
integer, parameter :: P_LOCAL_UPPER_Y = 26  
integer, parameter :: P_LOCAL_UPPER_Z = 27


end module

